@NonNullApi

# Package org.gradle.tooling.provider.model

Interfaces and classes that allow tooling models to be made available to the tooling API client.

- Interface Summary
  Interface | Description
  --- | ---
  ParameterizedToolingModelBuilder<T> | A `ToolingModelBuilder` which can be parameterized by the client.
  ToolingModelBuilder | Responsible for building tooling models to return to the tooling API client.
  ToolingModelBuilderRegistry | A registry of tooling model builders.

- Exception Summary
  Exception | Description
  --- | ---
  UnknownModelException | Thrown when an unknown tooling model is requested.